# xoxys.packages

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.packages/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.packages)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.packages/src/branch/main/LICENSE)

Setup package repositories.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [packages_dnf_installonly_limit](#packages_dnf_installonly_limit)
  - [packages_enablerepo](#packages_enablerepo)
  - [packages_install](#packages_install)
  - [packages_install_extra](#packages_install_extra)
  - [packages_repofiles_remove](#packages_repofiles_remove)
  - [packages_uninstall](#packages_uninstall)
  - [packages_uninstall_extra](#packages_uninstall_extra)
  - [packages_uninstall_pre](#packages_uninstall_pre)
  - [packages_uninstall_pre_extra](#packages_uninstall_pre_extra)
  - [packages_upgrade_enabled](#packages_upgrade_enabled)
  - [packages_yum_repositories](#packages_yum_repositories)
  - [packages_yum_repositories_extra](#packages_yum_repositories_extra)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### packages_dnf_installonly_limit

#### Default value

```YAML
packages_dnf_installonly_limit: 2
```

### packages_enablerepo

#### Default value

```YAML
packages_enablerepo: []
```

### packages_install

#### Default value

```YAML
packages_install: []
```

### packages_install_extra

#### Default value

```YAML
packages_install_extra: []
```

### packages_repofiles_remove

#### Default value

```YAML
packages_repofiles_remove: []
```

### packages_uninstall

#### Default value

```YAML
packages_uninstall:
  - setroubleshoot
  - mcstransd
  - xinetd
  - ypbind
  - telnet
```

### packages_uninstall_extra

#### Default value

```YAML
packages_uninstall_extra: []
```

### packages_uninstall_pre

#### Default value

```YAML
packages_uninstall_pre: []
```

### packages_uninstall_pre_extra

#### Default value

```YAML
packages_uninstall_pre_extra: []
```

### packages_upgrade_enabled

#### Default value

```YAML
packages_upgrade_enabled: false
```

### packages_yum_repositories

#### Default value

```YAML
packages_yum_repositories: []
```

#### Example usage

```YAML
packages_yum_repositories:
  - name: epel
    filename: Extra-EPEL
    desc: Extra Packages for Enterprise Linux (EPEL)
    baseurl: "http://download.fedoraproject.org/pub/epel/$releasever/$basearch/"
    gpgkey: "http://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-$releasever/"
    enabled: True
```

### packages_yum_repositories_extra

#### Default value

```YAML
packages_yum_repositories_extra: []
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
